openapi-petstore-0.1.0.0: Auto-generated openapi-petstore API Client

Safe Haskell | None
Language | Haskell2010

OpenAPIPetstore.API.AnotherFake

Contents

- Operations
  - AnotherFake
    - op123testSpecialTags

Description

Synopsis

- op123testSpecialTags :: (Consumes Op123testSpecialTags MimeJSON, MimeRender MimeJSON Client) => Client -> OpenAPIPetstoreRequest Op123testSpecialTags MimeJSON Client MimeJSON
- data Op123testSpecialTags

# Operations

## AnotherFake

### op123testSpecialTags

op123testSpecialTags Source #

Arguments

:: (Consumes Op123testSpecialTags MimeJSON, MimeRender MimeJSON Client) |
=> Client | "client" - client model
-> OpenAPIPetstoreRequest Op123testSpecialTags MimeJSON Client MimeJSON |

    PATCH /another-fake/dummy

To test special tags

To test special tags and operation ID starting with number

data Op123testSpecialTags Source #

Instances

Produces Op123testSpecialTags MimeJSON Source #

    application/json

Consumes Op123testSpecialTags MimeJSON Source #

    application/json

HasBodyParam Op123testSpecialTags Client Source # | Body Param Client - client model
Methods setBodyParam :: (Consumes Op123testSpecialTags contentType, MimeRender contentType Client) => OpenAPIPetstoreRequest Op123testSpecialTags contentType res accept -> Client -> OpenAPIPetstoreRequest Op123testSpecialTags contentType res accept Source #